Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.deser.impl
Class UnwrappedPropertyHandler

    java.lang.Object
      com.fasterxml.jackson.databind.deser.impl.UnwrappedPropertyHandler

    public class UnwrappedPropertyHandler

extends Object

Object that is responsible for handling acrobatics related to deserializing "unwrapped" values; sets of properties that are embedded (inlined) as properties of parent JSON object.

Field Summary
`protected ArrayList<SettableBeanProperty>` | `_properties`

Constructor Summary
`UnwrappedPropertyHandler()`

Method Summary
`void` | `addProperty(SettableBeanProperty property)`
`Object` | `processUnwrapped(JsonParser originalParser, DeserializationContext ctxt, Object bean, TokenBuffer buffered)`
`void` | `renameAll(NameTransformer transformer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _properties

    protected final ArrayList<SettableBeanProperty> _properties

Constructor Detail

### UnwrappedPropertyHandler

    public UnwrappedPropertyHandler()

Method Detail

### addProperty

    public void addProperty(SettableBeanProperty property)

### renameAll

    public void renameAll(NameTransformer transformer)

### processUnwrapped

    public Object processUnwrapped(JsonParser originalParser,
                                   DeserializationContext ctxt,
                                   Object bean,
                                   TokenBuffer buffered)
                            throws IOException,
                                   JsonProcessingException

  Throws:
    `IOException`
    `JsonProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.